package cc.fascinated.bat.features.afk;

import cc.fascinated.bat.features.Feature;
import cc.fascinated.bat.features.FeatureProfile;
import cc.fascinated.bat.features.afk.command.AfkCommand;
import cc.fascinated.bat.service.CommandService;
import lombok.NonNull;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
public class AfkFeature extends Feature {
    public AfkFeature(@NonNull ApplicationContext context, @NonNull CommandService commandService) {
        super("AFK", FeatureProfile.FeatureState.DISABLED, true);

        registerCommand(commandService, context.getBean(AfkCommand.class));
    }
}
